<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myBookingListViewLabel" jhiTranslate="mpmApp.bookingListView.home.createOrEditLabel">Create or edit a Booking List View</h6>
        <button type="button" class="close" aria-hidden="true" (click)="previousState()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!bookingListView.idBooking">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="bookingListView.idBooking" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.bookingListView.bookingNumber" for="field_bookingNumber">Booking Number</label>
            <input type="text" class="form-control" name="bookingNumber" id="field_bookingNumber"
                [(ngModel)]="bookingListView.bookingNumber"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.bookingListView.vehicleNumber" for="field_vehicleNumber">Vehicle Number</label>
            <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
                [(ngModel)]="bookingListView.vehicleNumber"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.bookingListView.dateCreate" for="field_dateCreate">Date Create</label>
            <div class="input-group">
                <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="bookingListView.dateCreate"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>

        <div class="form-group">
            <label jhiTranslate="mpmApp.bookingListView.customer" for="field_customer">Customer</label>
            <select class="form-control" id="field_customer" name="customer" [(ngModel)]="bookingListView.customerId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="personalCustomerOption.idCustomer" *ngFor="let personalCustomerOption of personalcustomers; trackBy: trackPersonalCustomerById">{{personalCustomerOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.bookingListView.vehicle" for="field_vehicle">Vehicle</label>
            <select class="form-control" id="field_vehicle" name="vehicle" [(ngModel)]="bookingListView.vehicleId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="vehicleOption.idVehicle" *ngFor="let vehicleOption of vehicles; trackBy: trackVehicleById">{{vehicleOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.bookingListView.slot" for="field_slot">Slot</label>
            <select class="form-control" id="field_slot" name="slot" [(ngModel)]="bookingListView.slotId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="bookingSlotOption.idBookSlot" *ngFor="let bookingSlotOption of bookingslots; trackBy: trackBookingSlotById">{{bookingSlotOption.slotNumber}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.bookingListView.bookingType" for="field_bookingType">Booking Type</label>
            <select class="form-control" id="field_bookingType" name="bookingType" [(ngModel)]="bookingListView.bookingTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="bookingTypeOption.idBookingType" *ngFor="let bookingTypeOption of bookingtypes; trackBy: trackBookingTypeById">{{bookingTypeOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.bookingListView.eventType" for="field_eventType">Event Type</label>
            <select class="form-control" id="field_eventType" name="eventType" [(ngModel)]="bookingListView.eventTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="eventTypeOption.idEventType" *ngFor="let eventTypeOption of eventtypes; trackBy: trackEventTypeById">{{eventTypeOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.bookingListView.internal" for="field_internal">Internal</label>
            <select class="form-control" id="field_internal" name="internal" [(ngModel)]="bookingListView.internalId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" (click)="previousState()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
